gtkmm: Gtk::Table_Helpers::TableList Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Gtk::Table_Helpers::TableList Class Reference
Inheritance diagram for Gtk::Table_Helpers::TableList:
[legend]
Collaboration diagram for Gtk::Table_Helpers::TableList:
[legend]

## Public Types
typedef Glib::HelperList< Child, Widget, Glib::List_Iterator< Child > > | type_base
Public Types inherited from Glib::HelperList< Child, Widget, Glib::List_Iterator< Child > >
typedef T_Child | value_type
typedef value_type & | reference
typedef const value_type & | const_reference
typedef T_Iterator | iterator
typedef List_ConstIterator< iterator > | const_iterator
typedef List_ReverseIterator< iterator > | reverse_iterator
typedef List_ConstIterator< reverse_iterator > | const_reverse_iterator
typedef T_CppElement | element_type
typedef std::size_t | difference_type
typedef std::size_t | size_type

## Public Member Functions
| TableList ()
| TableList (GtkTable*gparent)
| TableList (const TableList& src)
virtual | ~TableList ()
TableList& | operator= (const TableList& src)
GtkTable* | gparent ()
const GtkTable* | gparent () const
virtual GList*& | glist () const
virtual void | erase (iterator start, iterator stop)
virtual iterator | erase (iterator)
virtual void | remove (const_reference)
reference | operator[] (size_type l) const
| This is order n. (use at own risk) More...
Public Member Functions inherited from Glib::HelperList< Child, Widget, Glib::List_Iterator< Child > >
| HelperList ()
| HelperList (GObject *gp)
virtual | ~HelperList () noexcept
size_type | size () const
size_type | max_size ()
bool | empty ()
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
reference | front () const
reference | back () const
reference | operator[] (size_type l) const
void | pop_front ()
void | pop_back ()
void | clear ()
GObject * | gparent ()
const GObject * | gparent () const

## Protected Member Functions
iterator | insert (iterator position, element_type& e)
void | pop_front ()
void | pop_back ()
virtual void | remove (Widget& w)
Protected Member Functions inherited from Glib::HelperList< Child, Widget, Glib::List_Iterator< Child > >
iterator | begin_ () const
iterator | end_ () const

## Additional Inherited Members
Protected Attributes inherited from Glib::HelperList< Child, Widget, Glib::List_Iterator< Child > >
GObject * | gparent_

## Member Typedef Documentation

typedef Glib::HelperList< Child, Widget, Glib::List_Iterator< Child > > Gtk::Table_Helpers::TableList::type_base

## Constructor & Destructor Documentation

Gtk::Table_Helpers::TableList::TableList | ( |  | ) |

Gtk::Table_Helpers::TableList::TableList | ( | GtkTable * | gparent | ) |
| explicit

Gtk::Table_Helpers::TableList::TableList | ( | const TableList& | src | ) |

virtual Gtk::Table_Helpers::TableList::~TableList | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual void Gtk::Table_Helpers::TableList::erase | ( | iterator | start,
|  | iterator | stop
| ) |  |
| virtual

Reimplemented from Glib::HelperList< Child, Widget, Glib::List_Iterator< Child > >.

virtual iterator Gtk::Table_Helpers::TableList::erase | ( | iterator |  | ) |
| virtual

Implements Glib::HelperList< Child, Widget, Glib::List_Iterator< Child > >.

virtual GList*& Gtk::Table_Helpers::TableList::glist | ( |  | ) | const
| virtual

Implements Glib::HelperList< Child, Widget, Glib::List_Iterator< Child > >.

GtkTable* Gtk::Table_Helpers::TableList::gparent | ( |  | ) |

const GtkTable* Gtk::Table_Helpers::TableList::gparent | ( |  | ) | const

iterator Gtk::Table_Helpers::TableList::insert | ( | iterator | position,
|  | element_type & | e
| ) |  |
| protected

TableList& Gtk::Table_Helpers::TableList::operator= | ( | const TableList& | src | ) |

reference Gtk::Table_Helpers::TableList::operator[] | ( | size_type | l | ) | const

This is order n. (use at own risk)

void Gtk::Table_Helpers::TableList::pop_back | ( |  | ) |
| inlineprotected

void Gtk::Table_Helpers::TableList::pop_front | ( |  | ) |
| inlineprotected

virtual void Gtk::Table_Helpers::TableList::remove | ( | const_reference |  | ) |
| virtual

Implements Glib::HelperList< Child, Widget, Glib::List_Iterator< Child > >.

virtual void Gtk::Table_Helpers::TableList::remove | ( | Widget& | w | ) |
| protectedvirtual

The documentation for this class was generated from the following file:

- gtkmm/table.h